View Issue Details

IDCategoryLast Update
0007311bugs2017-04-18 08:30
ReporterHeadwarAssigned Tox42 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version5.X git (version in description) 
Fixed in Version 
Summary0007311: Crash on multiple tracks deletion
Descriptionardour-5.8.47:7973

Selecting multiple tracks and deleting them (right click on the track header > Delete) crashes ardour. The session and backtrace are joined.

Notice that because of automatic recovery, some tracks can be placed before the master track in the editor.
Steps To ReproduceFrom an empty session, I imported a midi file 1 track/channel, added an audi file, then deleted most of the midi tracks
TagsNo tags attached.

Activities

Headwar

2017-04-08 14:06

reporter  

Dreaming of You.7z (244,869 bytes)

Headwar

2017-04-08 14:06

reporter  

backtrace.txt (33,848 bytes)
(gdb) thread apply all bt

Thread 38 (Thread 0x7fff87ffe700 (LWP 8017)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff3e0cbf7 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff7917c3d in ArdourCanvas::WaveView::drawing_thread () at ../libs/canvas/wave_view.cc:1565
#3  0x0000000000e1a733 in sigc::pointer_functor0<void>::operator() (this=0xac5ac88)
    at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000e17884 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0xac5ac80)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000e13fb3 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0xac5ac50)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ffff1171184 in start_thread (arg=0x7fff87ffe700) at pthread_create.c:312
#9  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 37 (Thread 0x7fffa54bf700 (LWP 8016)):
#0  0x00007ffff1178b9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3df1498 in g_usleep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff63a92a0 in ARDOUR::AutomationWatch::thread (this=0x84b8460) at ../libs/ardour/automation_watch.cc:177
#3  0x00007ffff63ac923 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x873c760, p=0x84b8460)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff63ac590 in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x873c770, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#5  0x00007ffff63ac12b in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x873c760) at /usr/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff63ac0c0 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x873c760)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff63abc28 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x873c730)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff1171184 in start_thread (arg=0x7fffa54bf700) at pthread_create.c:312
#11 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 36 (Thread 0x7fffa4cbe700 (LWP 8015)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff68882d7 in ARDOUR::Session::auto_connect_thread_run (this=0x20b1670) at ../libs/ardour/session.cc:7217
#2  0x00007ffff688806a in ARDOUR::Session::auto_connect_thread (arg=0x20b1670) at ../libs/ardour/session.cc:7164
#3  0x00007ffff1171184 in start_thread (arg=0x7fffa4cbe700) at pthread_create.c:312
#4  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 35 (Thread 0x7fffa44bd700 (LWP 8014)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff68f6f04 in ARDOUR::Session::emit_thread_run (this=0x20b1670) at ../libs/ardour/session_process.cc:1374
---Type <return> to continue, or q <return> to quit---
#2  0x00007ffff68f6eae in ARDOUR::Session::emit_thread (arg=0x20b1670) at ../libs/ardour/session_process.cc:1363
#3  0x00007ffff1171184 in start_thread (arg=0x7fffa44bd700) at pthread_create.c:312
#4  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 34 (Thread 0x7fffa5cc0700 (LWP 8013)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3dcafe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3dcb30a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff4c506fb in BaseUI::main_thread (this=0x2559528) at ../libs/pbd/base_ui.cc:86
#4  0x00007ffff4c542ca in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x633e3c8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007ffff4c5401e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x633e3c0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x00007ffff4c53b49 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x633e390)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff1171184 in start_thread (arg=0x7fffa5cc0700) at pthread_create.c:312
#10 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 33 (Thread 0x7fffa3cbc700 (LWP 8012)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3dcafe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3dcb30a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff4c506fb in BaseUI::main_thread (this=0x3d9bce0) at ../libs/pbd/base_ui.cc:86
#4  0x00007ffff4c542ca in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x3d9c498)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007ffff4c5401e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x3d9c490)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x00007ffff4c53b49 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x3d9c460)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff1171184 in start_thread (arg=0x7fffa3cbc700) at pthread_create.c:312
#10 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 32 (Thread 0x7fffc915a800 (LWP 8011)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff4c65d3c in CrossThreadChannel::poll_for_request (this=0x2097ae0) at ../libs/pbd/crossthread.posix.cc:83
#2  0x00007ffff4c65da5 in CrossThreadChannel::receive (this=0x2097ae0, msg=@0x7fffc9159c00: 0 '\000', wait=true)
    at ../libs/pbd/crossthread.posix.cc:104
#3  0x00007ffff63bcd16 in ARDOUR::Butler::thread_work (this=0x2097a50) at ../libs/ardour/butler.cc:175
#4  0x00007ffff63bcaf7 in ARDOUR::Butler::_thread_work (arg=0x2097a50) at ../libs/ardour/butler.cc:156
#5  0x00007ffff4c86f16 in fake_thread_start (arg=0x3d9baf0) at ../libs/pbd/pthread_utils.cc:101
#6  0x00007ffff1171184 in start_thread (arg=0x7fffc915a800) at pthread_create.c:312
#7  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

---Type <return> to continue, or q <return> to quit---
Thread 23 (Thread 0x7fffe004ad80 (LWP 8002)):
#0  0x0000000005a85ef0 in ?? ()
#1  0x000000000066b520 in boost::detail::sp_counted_base::release (this=0x5a860d0)
    at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
#2  0x000000000066b599 in boost::detail::shared_count::~shared_count (this=0x7fffe0045d38, __in_chrg=<optimized out>)
    at /usr/include/boost/smart_ptr/detail/shared_count.hpp:371
#3  0x0000000000d7a214 in boost::shared_ptr<ARDOUR::MuteMaster>::~shared_ptr (this=0x7fffe0045d30, __in_chrg=<optimized out>)
    at /usr/include/boost/smart_ptr/shared_ptr.hpp:328
#4  0x00007ffff67493ea in ARDOUR::MuteControl::muted (this=0x6196b50) at ../libs/ardour/mute_control.cc:158
#5  0x00007ffff67491b0 in ARDOUR::MuteControl::get_value (this=0x6196b50) at ../libs/ardour/mute_control.cc:131
#6  0x00007fffe0ec473d in MIDIControllable::write_feedback (this=0x6ced9c0, buf=0x7fffe0045e90 "", bufsize=@0x7fffe0045e58: 16384)
    at ../libs/surfaces/generic_midi/midicontrollable.cc:622
#7  0x00007fffe0e90ad7 in GenericMidiControlProtocol::_send_feedback (this=0x26bafa0)
    at ../libs/surfaces/generic_midi/generic_midi_control_protocol.cc:327
#8  0x00007fffe0e909fd in GenericMidiControlProtocol::send_feedback (this=0x26bafa0)
    at ../libs/surfaces/generic_midi/generic_midi_control_protocol.cc:300
#9  0x00007fffe0ead6cf in boost::_mfi::mf0<void, GenericMidiControlProtocol>::operator() (this=0x7fff904cc3e8, p=0x26bafa0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#10 0x00007fffe0eaacd6 in boost::_bi::list1<boost::_bi::value<GenericMidiControlProtocol*> >::operator()<boost::_mfi::mf0<void, GenericMidiControlProtocol>, boost::_bi::list0> (this=0x7fff904cc3f8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#11 0x00007fffe0ea8565 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, GenericMidiControlProtocol>, boost::_bi::list1<boost::_bi::value<GenericMidiControlProtocol*> > >::operator() (this=0x7fff904cc3e8) at /usr/include/boost/bind/bind_template.hpp:20
#12 0x00007fffe0ea5faa in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, GenericMidiControlProtocol>, boost::_bi::list1<boost::_bi::value<GenericMidiControlProtocol*> > >, void>::invoke (function_obj_ptr=...)
    at /usr/include/boost/function/function_template.hpp:153
#13 0x00000000006c4be6 in boost::function0<void>::operator() (this=0x7fff904cc3e0)
    at /usr/include/boost/function/function_template.hpp:767
#14 0x00000000006c1509 in PBD::Signal0<void, PBD::OptionalLastValue<void> >::operator() (
    this=0x7ffff70bbb80 <ARDOUR::Session::SendFeedback>)
    at /home/edouard/Sources/ardour/build/libs/pbd/pbd/signals_generated.h:328
#15 0x00007ffff68f209f in ARDOUR::Session::process (this=0x20b1670, nframes=512) at ../libs/ardour/session_process.cc:120
#16 0x00007ffff6354e83 in ARDOUR::AudioEngine::process_callback (this=0x1b1f6d0, nframes=512) at ../libs/ardour/audioengine.cc:376
#17 0x00007fffd12a5411 in ARDOUR::AlsaAudioBackend::main_process_thread (this=0x1ea1600)
    at ../libs/backends/alsa/alsa_audiobackend.cc:1943
#18 0x00007fffd129fd0d in pthread_process (arg=0x1ea1600) at ../libs/backends/alsa/alsa_audiobackend.cc:794
#19 0x00007ffff1171184 in start_thread (arg=0x7fffe004ad80) at pthread_create.c:312
#20 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 22 (Thread 0x7fffc8ae1700 (LWP 8001)):
#0  0x00007fffefbbb4c3 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff4c9878c in PBD::SystemExec::output_interposer (this=0x26df1d0) at ../libs/pbd/system_exec.cc:926
#2  0x00007ffff4c979d4 in interposer_thread (arg=0x26df1d0) at ../libs/pbd/system_exec.cc:333
#3  0x00007ffff1171184 in start_thread (arg=0x7fffc8ae1700) at pthread_create.c:312
#4  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 21 (Thread 0x7fffa17cb700 (LWP 7999)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
---Type <return> to continue, or q <return> to quit---
#1  0x00007fffafb2f031 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007fffafb2083c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007fffafb20ece in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007fffafb20f80 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007fffafb2efe3 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007fffaf6d2f08 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-4.0.so
#7  0x00007ffff1171184 in start_thread (arg=0x7fffa17cb700) at pthread_create.c:312
#8  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 10 (Thread 0x7fffc9ae3700 (LWP 7987)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3dcafe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3dcb0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3dcb129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffff1171184 in start_thread (arg=0x7fffc9ae3700) at pthread_create.c:312
#6  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7fffcabb5700 (LWP 7986)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3dcafe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3dcb30a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fffecf6e336 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffff1171184 in start_thread (arg=0x7fffcabb5700) at pthread_create.c:312
#6  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7fffcb3b6700 (LWP 7985)):
#0  0x00007fffefbb684d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3dcafe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff3dcb0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fffcb3be1ad in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffff1171184 in start_thread (arg=0x7fffcb3b6700) at pthread_create.c:312
#6  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7fffd26b6700 (LWP 7984)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff3e0cbf7 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff63556a4 in ARDOUR::AudioEngine::do_devicelist_update (this=0x1b1f6d0) at ../libs/ardour/audioengine.cc:561
#3  0x00007ffff6360449 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1b20340, p=0x1b1f6d0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff63600fc in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1b20350, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#5  0x00007ffff635fbb5 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1b20340) at /usr/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff635f57a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::l---Type <return> to continue, or q <return> to quit---
ist1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1b20340)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff635e9ae in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1b20310)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff1171184 in start_thread (arg=0x7fffd26b6700) at pthread_create.c:312
#11 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7fffd2eb7700 (LWP 7983)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff3e0cbf7 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff6355483 in ARDOUR::AudioEngine::do_reset_backend (this=0x1b1f6d0) at ../libs/ardour/audioengine.cc:526
#3  0x00007ffff6360449 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x1b20160, p=0x1b1f6d0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff63600fc in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x1b20170, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#5  0x00007ffff635fbb5 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x1b20160) at /usr/include/boost/bind/bind_template.hpp:20
#6  0x00007ffff635f57a in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x1b20160)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#7  0x00007ffff635e9ae in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x1b20130)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#9  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff1171184 in start_thread (arg=0x7fffd2eb7700) at pthread_create.c:312
#11 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7fffe20af700 (LWP 7981)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff3e0cbf7 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff62f17e8 in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:87
#3  0x00007ffff62f15dd in analyser_work () at ../libs/ardour/analyser.cc:52
#4  0x0000000000e1a733 in sigc::pointer_functor0<void>::operator() (this=0x1c107c8)
    at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x0000000000e17884 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1c107c0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6  0x0000000000e13fb3 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1c10790)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#8  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff1171184 in start_thread (arg=0x7fffe20af700) at pthread_create.c:312
#10 0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

---Type <return> to continue, or q <return> to quit---
Thread 4 (Thread 0x7fffe28b0700 (LWP 7980)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff3e0cbf7 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff697aa6a in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x0000000000e1a733 in sigc::pointer_functor0<void>::operator() (this=0x1c10a28)
    at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000e17884 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1c10a20)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000e13fb3 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1c109f0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ffff1171184 in start_thread (arg=0x7fffe28b0700) at pthread_create.c:312
#9  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7fffe30b1700 (LWP 7979)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffff3e0cbf7 in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff697aa6a in peak_thread_work () at ../libs/ardour/source_factory.cc:71
#3  0x0000000000e1a733 in sigc::pointer_functor0<void>::operator() (this=0x1c10e28)
    at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x0000000000e17884 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1c10e20)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#5  0x0000000000e13fb3 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1c10df0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff452211d in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#7  0x00007ffff3deff05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ffff1171184 in start_thread (arg=0x7fffe30b1700) at pthread_create.c:312
#9  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7fffe38b2700 (LWP 7978)):
#0  0x00007ffff1178b9d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff3df1498 in g_usleep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00000000011210a0 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:459
#3  0x00007ffff1171184 in start_thread (arg=0x7fffe38b2700) at pthread_create.c:312
#4  0x00007fffefbc3bed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7ffff7f91a00 (LWP 7973)):
#0  0x00007ffff3e0c8aa in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff3e0cd29 in g_private_get () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff6726fca in Glib::Threads::Private<AbstractUI<ARDOUR::MidiUIRequest>::RequestBuffer>::get (
    this=0x7ffff70bb040 <AbstractUI<ARDOUR::MidiUIRequest>::per_thread_request_buffer>)
    at /usr/include/glibmm-2.4/glibmm/threads.h:897
#3  0x00007ffff672cb38 in AbstractUI<ARDOUR::MidiUIRequest>::get_request (this=0x3d9bce0, rt=1)
    at /home/edouard/Sources/ardour/libs/pbd/pbd/abstract_ui.cc:158
#4  0x00007ffff672b369 in AbstractUI<ARDOUR::MidiUIRequest>::call_slot(PBD::EventLoop::InvalidationRecord*, boost::function<void ()> const&) (this=0x3d9bce0, invalidation=0x0, f=...) at /home/edouard/Sources/ardour/libs/pbd/pbd/abstract_ui.cc:452
---Type <return> to continue, or q <return> to quit---
#5  0x00007fffe0ec70e6 in PBD::Signal1<void, PBD::Controllable*, PBD::OptionalLastValue<void> >::compositor(boost::function<void (PBD::Controllable*)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::Controllable*) (f=..., event_loop=0x3d9bce0, 
    ir=0x0, a1=0x6197f80) at /home/edouard/Sources/ardour/build/libs/pbd/pbd/signals_generated.h:595
#6  0x00007fffe0ecd018 in boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::Controllable*)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> >::operator()<void (*)(boost::function<void (PBD::Controllable*)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::Controllable*), boost::_bi::list1<PBD::Controllable*&> >(boost::_bi::type<void>, void (*&)(boost::function<void (PBD::Controllable*)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::Controllable*), boost::_bi::list1<PBD::Controllable*&>&, int) (this=0x6197f48, 
    f=@0x6197f40: 0x7fffe0ec704b <PBD::Signal1<void, PBD::Controllable*, PBD::OptionalLastValue<void> >::compositor(boost::function<void (PBD::Controllable*)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::Controllable*)>, a=...)
    at /usr/include/boost/bind/bind.hpp:457
#7  0x00007fffe0ecb1ea in boost::_bi::bind_t<void, void (*)(boost::function<void (PBD::Controllable*)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::Controllable*), boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::Controllable*)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >::operator()<PBD::Controllable*>(PBD::Controllable*&) (this=0x6197f40, a1=@0x7fffffffcc80: 0x6197f80) at /usr/include/boost/bind/bind_template.hpp:32
#8  0x00007fffe0eca244 in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, void (*)(boost::function<void (PBD::Controllable*)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::Controllable*), boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::Controllable*)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >, void, PBD::Controllable*>::invoke(boost::detail::function::function_buffer&, PBD::Controllable*) (
    function_obj_ptr=..., a0=0x6197f80) at /usr/include/boost/function/function_template.hpp:153
#9  0x00000000006ce08b in boost::function1<void, PBD::Controllable*>::operator() (this=0x61ab420, a0=0x6197f80)
    at /usr/include/boost/function/function_template.hpp:767
#10 0x00000000006c5256 in PBD::Signal1<void, PBD::Controllable*, PBD::OptionalLastValue<void> >::operator() (
    this=0x193e360 <PBD::Controllable::Destroyed>, a1=0x6197f80)
    at /home/edouard/Sources/ardour/build/libs/pbd/pbd/signals_generated.h:704
#11 0x00000000006c1c40 in PBD::Controllable::~Controllable (this=0x6197f80, __in_chrg=<optimized out>)
    at /home/edouard/Sources/ardour/libs/pbd/pbd/controllable.h:62
#12 0x00007ffff639adce in ARDOUR::AutomationControl::~AutomationControl (this=0x6197f80, __in_chrg=<optimized out>)
    at ../libs/ardour/automation_control.cc:69
#13 0x00007ffff675d650 in ARDOUR::PhaseControl::~PhaseControl (this=0x6197f80, __in_chrg=<optimized out>)
    at ../libs/ardour/ardour/phase_control.h:38
#14 0x00007ffff675d6c4 in ARDOUR::PhaseControl::~PhaseControl (this=0x6197f80, __in_chrg=<optimized out>)
    at ../libs/ardour/ardour/phase_control.h:38
#15 0x00007ffff683f590 in boost::checked_delete<ARDOUR::PhaseControl> (x=0x6197f80) at /usr/include/boost/checked_delete.hpp:34
#16 0x00007ffff68434ae in boost::detail::sp_counted_impl_p<ARDOUR::PhaseControl>::dispose (this=0x6198d70)
    at /usr/include/boost/smart_ptr/detail/sp_counted_impl.hpp:78
#17 0x000000000066b520 in boost::detail::sp_counted_base::release (this=0x6198d70)
    at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
#18 0x000000000066b599 in boost::detail::shared_count::~shared_count (this=0x6198f78, __in_chrg=<optimized out>)
    at /usr/include/boost/smart_ptr/detail/shared_count.hpp:371
#19 0x00000000007ae556 in boost::shared_ptr<Evoral::Control>::~shared_ptr (this=0x6198f70, __in_chrg=<optimized out>)
    at /usr/include/boost/smart_ptr/shared_ptr.hpp:328
#20 0x0000000000bc642a in std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> >::~pair (this=0x6198f60, 
    __in_chrg=<optimized out>) at /usr/include/c++/4.8/bits/stl_pair.h:96
#21 0x0000000000bc6448 in __gnu_cxx::new_allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > >::destroy (this=0x7fffffffcf4f, __p=0x6198f60) at /usr/include/c++/4.8/ext/new_allocator.h:133
#22 0x0000000000bc5f52 in std::_Rb_tree<Evoral::Parameter, std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> >,---Type <return> to continue, or q <return> to quit---
 std::_Select1st<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > >, std::less<Evoral::Parameter>, std::allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > > >::_M_destroy_node (this=0x61920e8, __p=0x6198f40)
    at /usr/include/c++/4.8/bits/stl_tree.h:395
#23 0x0000000000bc5a9d in std::_Rb_tree<Evoral::Parameter, std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> >, std::_Select1st<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > >, std::less<Evoral::Parameter>, std::allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > > >::_M_erase (this=0x61920e8, __x=0x6198f40)
    at /usr/include/c++/4.8/bits/stl_tree.h:1127
#24 0x0000000000bc5a7a in std::_Rb_tree<Evoral::Parameter, std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> >, std::_Select1st<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > >, std::less<Evoral::Parameter>, std::allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > > >::_M_erase (this=0x61920e8, __x=0x6195350)
    at /usr/include/c++/4.8/bits/stl_tree.h:1125
#25 0x0000000000bc5a7a in std::_Rb_tree<Evoral::Parameter, std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> >, std::_Select1st<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > >, std::less<Evoral::Parameter>, std::allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > > >::_M_erase (this=0x61920e8, __x=0x619b750)
    at /usr/include/c++/4.8/bits/stl_tree.h:1125
#26 0x0000000000bc56d7 in std::_Rb_tree<Evoral::Parameter, std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> >, std::_Select1st<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > >, std::less<Evoral::Parameter>, std::allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > > >::~_Rb_tree (this=0x61920e8, 
    __in_chrg=<optimized out>) at /usr/include/c++/4.8/bits/stl_tree.h:671
#27 0x0000000000bc4ccc in std::map<Evoral::Parameter, boost::shared_ptr<Evoral::Control>, std::less<Evoral::Parameter>, std::allocator<std::pair<Evoral::Parameter const, boost::shared_ptr<Evoral::Control> > > >::~map (this=0x61920e8, __in_chrg=<optimized out>)
    at /usr/include/c++/4.8/bits/stl_map.h:96
#28 0x0000000000bc4d16 in Evoral::ControlSet::~ControlSet (this=0x61920d8, __in_chrg=<optimized out>)
    at /home/edouard/Sources/ardour/libs/evoral/evoral/ControlSet.hpp:42
#29 0x00007ffff671bbe4 in ARDOUR::MidiTrack::~MidiTrack (this=0x6190070, __in_chrg=<optimized out>, __vtt_parm=<optimized out>)
    at ../libs/ardour/midi_track.cc:81
#30 0x00007ffff671bd8e in ARDOUR::MidiTrack::~MidiTrack (this=0x6190070, __in_chrg=<optimized out>, __vtt_parm=<optimized out>)
    at ../libs/ardour/midi_track.cc:83
#31 0x00007ffff68a75a6 in boost::checked_delete<ARDOUR::MidiTrack> (x=0x6190070) at /usr/include/boost/checked_delete.hpp:34
#32 0x00007ffff68b0bf8 in boost::detail::sp_counted_impl_p<ARDOUR::MidiTrack>::dispose (this=0x5a869f0)
    at /usr/include/boost/smart_ptr/detail/sp_counted_impl.hpp:78
#33 0x000000000066b520 in boost::detail::sp_counted_base::release (this=0x5a869f0)
    at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
#34 0x000000000066b599 in boost::detail::shared_count::~shared_count (this=0xa064038, __in_chrg=<optimized out>)
    at /usr/include/boost/smart_ptr/detail/shared_count.hpp:371
#35 0x0000000000678c0a in boost::shared_ptr<ARDOUR::Route>::~shared_ptr (this=0xa064030, __in_chrg=<optimized out>)
    at /usr/include/boost/smart_ptr/shared_ptr.hpp:328
#36 0x000000000096d413 in std::_Destroy<boost::shared_ptr<ARDOUR::Route> > (__pointer=0xa064030)
    at /usr/include/c++/4.8/bits/stl_construct.h:93
#37 0x000000000096b8ec in std::_Destroy_aux<false>::__destroy<boost::shared_ptr<ARDOUR::Route>*> (__first=0xa064030, 
    __last=0xa064080) at /usr/include/c++/4.8/bits/stl_construct.h:103
#38 0x0000000000968f29 in std::_Destroy<boost::shared_ptr<ARDOUR::Route>*> (__first=0xa064000, __last=0xa064080)
    at /usr/include/c++/4.8/bits/stl_construct.h:126
#39 0x000000000096527d in std::_Destroy<boost::shared_ptr<ARDOUR::Route>*, boost::shared_ptr<ARDOUR::Route> > (__first=0xa064000, 
    __last=0xa064080) at /usr/include/c++/4.8/bits/stl_construct.h:151
#40 0x00000000009609ea in std::vector<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >::~vector (this=0x7fffffffd470, __in_chrg=<optimized out>) at /usr/include/c++/4.8/bits/stl_vector.h:415
---Type <return> to continue, or q <return> to quit---
#41 0x0000000000957dd5 in Editor::_remove_tracks (this=0x9a0f7d0) at ../gtk2_ardour/editor_ops.cc:7398
#42 0x0000000000957033 in Editor::idle_remove_tracks (this=0x9a0f7d0) at ../gtk2_ardour/editor_ops.cc:7309
#43 0x000000000086fda6 in sigc::bound_mem_functor0<bool, Editor>::operator() (this=0x25b96e8)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#44 0x0000000000867a1a in sigc::adaptor_functor<sigc::bound_mem_functor0<bool, Editor> >::operator() (this=0x25b96e0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#45 0x000000000085fe81 in sigc::internal::slot_call0<sigc::bound_mem_functor0<bool, Editor>, bool>::call_it (rep=0x25b96b0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#46 0x00007ffff45298c2 in ?? () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#47 0x00007ffff3dcace5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007ffff3dcb048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#49 0x00007ffff3dcb30a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#50 0x00007ffff3870447 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#51 0x00007ffff75305fc in Gtkmm2ext::UI::run (this=0x1b4ecf0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:286
#52 0x0000000000bab119 in main (argc=1, argv=0x7fffffffd9e8) at ../gtk2_ardour/main.cc:447

backtrace.txt (33,848 bytes)

Headwar

2017-04-08 14:08

reporter   ~0019603

May be related to http://tracker.ardour.org/view.php?id=348 ?

Headwar

2017-04-10 06:34

reporter   ~0019604

Rgareus found out this doesn't happen if all the control surfaces are unchecked in the preferences

x42

2017-04-16 16:06

administrator   ~0019609

Which control surfaces were active when the crash happened?

IIRC from IRC: it was Generic MIDI, but it was unused (not connected to an actual control surface at that time) is that correct?

x42

2017-04-16 17:07

administrator   ~0019610

Can you still reproduce it with Ardour 5.8-305-g55cd96df8?

Headwar

2017-04-18 08:28

reporter   ~0019612

@x42 : it was both Generic MIDI and OSC.

It seems I cannot reproduce it as of 5.8-305-g55cd96df8 :) Thanks Robin ! I'll test some more and mark it as solved.

Issue History

Date Modified Username Field Change
2017-04-08 14:06 Headwar New Issue
2017-04-08 14:06 Headwar File Added: Dreaming of You.7z
2017-04-08 14:06 Headwar File Added: backtrace.txt
2017-04-08 14:08 Headwar Note Added: 0019603
2017-04-10 06:34 Headwar Note Added: 0019604
2017-04-16 16:06 x42 Note Added: 0019609
2017-04-16 17:07 x42 Note Added: 0019610
2017-04-16 17:07 x42 Assigned To => x42
2017-04-16 17:07 x42 Status new => feedback
2017-04-18 08:28 Headwar Note Added: 0019612
2017-04-18 08:28 Headwar Status feedback => assigned
2017-04-18 08:30 Headwar Status assigned => resolved
2017-04-18 08:30 Headwar Resolution open => fixed